IMPRESSIVE-GETTRANSITIONS(1)

NAME
impressive-gettransitions - Generate Impressive info scripts for LaTeX presentations

SYNOPSIS
impressive-gettransitions FILE.tex

DESCRIPTION
A simple script to produce a .info file for use with Impressive, using special comments in a LaTeX/Beamer file. FILE.tex is a file to be parsed into .info file. For each /fullpath/blah.tex /fullpath/blah.pdf.info gets produced.

SYNTAX
In the LaTeX document, impressive-gettransitions counts the pages to determine the PDF slide number of each one.

The simpler page changes are automatically detected, that is:
    \begin{frame} and:
    \pause

Other, more elaborated page changes must be noted with a %O comment:
    \item<1-> Foo
    \item<2-> Bar %O

The transition to apply can be specified in a %O comment:
    \begin{frame} %O SlideUp

OPERATION
When the .info file corresponding to the LaTeX document already exist, impressive-gettransitions does not clear it, but only adds the transitions if finds to it.

Thus, if you modified your document in a way that requires to completely replace the transitions, manually clear the PageProps section of the .info file. This can be done by running the following sed command:
    sed -i -e "/^PageProps = {/,/^}/d" FILE.info

SEE ALSO
impressive(1)

AUTHOR
impressive-gettransitions (originally gettransitions) has been written by Rob Reid.

This manpage has been originally written by Yaroslav Halchenko <debian@onerussian.com>.